.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

:root {
  --color-btn: #3d5afe;
  --bk-btn: #ffffff;
  --border: 1px solid #cbd5e0;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.switch_box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

/* Switch 1 Specific Styles Start */

input[type="checkbox"].switch_1 {
  font-size: 30px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 40px;
  height: 20px;
  background: #ddd;
  border-radius: 3em;
  position: relative;
  cursor: pointer;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

input[type="checkbox"].switch_1:checked {
  background: #0ebeff;
}

input[type="checkbox"].switch_1:after {
  position: absolute;
  content: "";
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #fff;
  -webkit-box-shadow: 0 0 0.25em rgba(0, 0, 0, 0.3);
  box-shadow: 0 0 0.25em rgba(0, 0, 0, 0.3);
  -webkit-transform: scale(0.7);
  transform: scale(0.7);
  left: 0;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

input[type="checkbox"].switch_1:checked:after {
  left: calc(100% - 20px);
}

/* Switch 1 Specific Style End */

.checkbox_wrapper {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 2.75rem;
  color: rgba(75, 85, 99);
  padding-right: 1.5rem;
}

.checkbox_wrapper:hover {
  background-color: rgba(249, 250, 251);
  color: rgba(31, 41, 55);
}

.checkbox_label {
  margin-left: 0.5rem;
  letter-spacing: 0.025em;
  color: rgba(75, 85, 99);
  font-size: 1rem;
  line-height: 1.5rem;
}

.content {
  display: flex;
  height: 100vh;
  background-color: rgba(243, 244, 246, 1);
  font-family: "Roboto";
}

@keyframes slidein {
  from {
    left: -150px;
  }

  to {
    left: 0;
  }
}

.sidebar {
  border-right-width: 2px;
  border-color: rgba(209, 213, 219, 1);
  z-index: 30;
  width: 13rem;
  background-color: rgba(255, 255, 255, 1);
  overflow-y: auto;

  /* border-right-width: 2px;
  border-color: rgba(209, 213, 219, 1);
  z-index: 30;
  width: 13rem;
  background-color: rgba(255, 255, 255, 1);
  overflow-y: auto;
  position: fixed;
  left: 0px;
  top: 0;
  height: 100vh;
  animation-duration: 3s;
  animation-name: slidein; */
}

.menu {
  display: flex;
  flex-direction: column;
  margin-top: 2rem;
  padding-left: 1rem;
  padding-right: 1rem;
  text-align: center;
}

.main-content {
  flex: 1 1 0%;
  flex-direction: column;
  overflow: hidden;
  display: flex;
}

.bottom-header {
  justify-content: space-between;
  align-items: center;
  margin-top: 1.5rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  border-bottom-width: 2px;
  border-color: rgba(209, 213, 219, 1);
}

.search-wrapper {
  align-items: center;
}

.search-input {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: rgba(255, 255, 255, 1);
  border-radius: 0.375rem;
  padding-left: 2.5rem;
}

.search-input:focus {
  background-color: white;
  color: rgba(17, 24, 39, 1);
}

.item-container {
  max-width: 1280px;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  padding-left: 5.5rem;
  padding-right: 1.5rem;
  margin-bottom: -0.5rem;
}

.user-name {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  display: flex;
  flex-direction: column;
  text-transform: capitalize;
  color: rgba(75, 85, 99, 1);
}

.user-name span {
  font-weight: 700;
}

.item-box {
  margin-top: 1rem;
  display: flex;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  justify-content: space-between;
  background-color: rgba(255, 255, 255, 1);
  cursor: pointer;
}

.image-box {
  display: flex;
  justify-content: center;
}

.user-image {
  height: 3rem;
  width: 3rem;
  border-radius: 9999px;
  object-fit: cover;
}

.text-container {
  display: flex;
  padding-right: 2rem;
}

.btn {
  margin-left: 4rem;
  padding-left: 1rem;
  display: flex;
  flex-direction: column;
  text-transform: capitalize;
  color: rgba(75, 85, 99, 1);
}

.status-btn {
  margin-top: 0.5rem;
  background-color: rgba(254, 226, 226, 1);
  color: rgba(248, 113, 113, 1);
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  border-radius: 0.25rem;
}

.line-text {
  margin-left: 4rem;
  padding-top: 0.75rem;
  display: flex;
  flex-direction: column;
  text-transform: capitalize;
  color: rgba(75, 85, 99, 1);
}

.search-btn {
  padding: 0.25rem;
}

.search-btn-wrapper {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  padding-right: 0.5rem;
}

.search {
  display: flex;
  justify-content: space-between;
}

.input-search {
  display: inline-flex;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  margin-top: -1rem;
}

.input-search-container {
  position: relative;
  color: rgba(75, 85, 99, 1);
}

.items-container {
  flex: 1 1 0%;
  overflow-x: hidden;
  overflow-y: auto;
}

.message-count {
  text-align: left;
}

/* burger menu */

.burger-menu {
  position: absolute !important;
  margin: 15px 10px !important;
}
